aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jobs/osmocom-obs-check-builders.yml28
-rwxr-xr-xscripts/obs/check_builders.sh11
2 files changed, 39 insertions, 0 deletions
diff --git a/jobs/osmocom-obs-check-builders.yml b/jobs/osmocom-obs-check-builders.yml
new file mode 100644
index 0000000..f378ec1
--- /dev/null
+++ b/jobs/osmocom-obs-check-builders.yml
@@ -0,0 +1,28 @@
+---
+- project:
+ name: Osmocom_OBS_check_builders
+ jobs:
+ - Osmocom_OBS_check_builders
+
+- job-template:
+ name: 'Osmocom_OBS_check_builders'
+ project-type: freestyle
+ defaults: global
+ description: |
+ Verify that the expected amount of builders are connected to
+ obs.osmocom.org.
+ builders:
+ - shell: |
+ scripts/obs/check_builders.sh
+ scm:
+ - git:
+ branches:
+ - 'origin/master'
+ url: https://gerrit.osmocom.org/osmo-ci
+ triggers:
+ - timed: "@hourly"
+ node: obs
+ publishers:
+ - email:
+ notify-every-unstable-build: true
+ recipients: 'jenkins-notifications@lists.osmocom.org'
diff --git a/scripts/obs/check_builders.sh b/scripts/obs/check_builders.sh
new file mode 100755
index 0000000..609c467
--- /dev/null
+++ b/scripts/obs/check_builders.sh
@@ -0,0 +1,11 @@
+#!/bin/sh -ex
+count=14
+wget -q https://obs.osmocom.org -O index.html
+
+if ! grep -q " of $count build hosts" index.html; then
+ grep "build hosts" index.html
+ set +x
+ echo
+ echo "ERROR: expected $count builders to be connected to OBS!"
+ echo
+fi